### Function

# FwupdPlugin ifd_region_to_access

since: 1.6.2

#### Declaration [src]

    FuIfdAccess
    fu_ifd_region_to_access (
      FuIfdRegion region,
      guint32 flash_master,
      gboolean new_layout
    )

#### Description [src]

Converts a `FuIfdRegion` to an access level.

Available since: 1.6.2

#### Parameters

`region`

  Type: `FuIfdRegion`

  A `FuIfdRegion`, e.g. `FU_IFD_REGION_BIOS`.

`flash_master`

  Type: `guint32`

  Flash master number.

`new_layout`

  Type: `gboolean`

  If Skylake or newer.

#### Return value

Type: `FuIfdAccess`

Access.